﻿if (MenuElement.find("Label Thumbnails" )) {
	$.writeln("Error:Menu element already exists!\nRestart Bridge to run this snippet again.");
}
else {
	var id;
	Main();
}

function Main() {
	var menuElement = new MenuElement( "command", "Label Thumbnails", "at the end of Tools",  "labelThumbnails" ); 
	menuElement.onSelect = function() {
		if (!menuElement.checked && app.document.presentationPath.match(/Raskladka\/\d{4}/) != null) {
			var file = new File("~/Documents/Adobe Scripts/Label Thumbnails in Bridge.jsx");
			if (file.exists) {
				var str = ReadTxtFile(file);
				id = app.scheduleTask( str, 60000, true);
				//$.writeln("id = " + id);
				menuElement.checked = true;
			}
		}
		else {
			app.cancelTask(1);
			menuElement.checked = false;
		}
	}
}

function ReadTxtFile(file) {
	file.open("r"); 
	var txt = file.read();
	file.close();
	return txt;
}