﻿Main();

//===================================== FUNCTIONS  ======================================
function Main() {
	var th, name, num, file, jpegFiles, jpegFile, removed, renamed, pagesNum,
	spuskNum = 3, // default value
	doc = app.document,
	thumbnails = app.document.thumbnail.children,
	folderPath = doc.presentationPath + "/", // doc.presentationPath + "/", "/D/Raskladka/1291-1292 (42-43) 12.11.17/"
	folder = new Folder(folderPath),
	jpegFiles = folder.getFiles("*.jpg"),
	parentFolderName = folder.parent.name,
	emtyPageFile = new File("~/Documents/Templates/000.jpg");
	
	var spuskNumFile = new File("~/Documents/spuskNum.txt");
	if (spuskNumFile.exists) {
		var txt = ReadTxtFile(spuskNumFile);
		if (!isNaN(txt)) {
			spuskNum = Number(txt); // oweride the defaults if a valid value in the settings is stored
		}
	}
	
	switch (spuskNum) {
		case 2:
			pagesNum = 34;
			break;
		case 3:
			pagesNum = 50;
			break;
		case 4:
			pagesNum = 66;
			break;
		case 5:
			pagesNum = 82;
			break;
		case 6:
			pagesNum = 98;
			break;
		case 7:
			pagesNum = 114;
			break;
		case 8:
			pagesNum = 130;
			break;
		case 9:
			pagesNum = 146;
			break;
		case 10:
			pagesNum = 162;
			break;
		case 11:
			pagesNum = 178;
			break;
		case 12:
			pagesNum = 194;
			break;
		case 13:
			pagesNum = 122;
			break;
		default:
			pagesNum = 50;
	}

	if (parentFolderName == "Raskladka") {
		if (emtyPageFile.exists) {
			for (var j = 3; j <= pagesNum; j++) {
				filePath = folderPath + ZeroPad(j, 3) + ".jpg";
				//$.writeln(filePath);
				file = new File(filePath);
				if (!file.exists) {
					emtyPageFile.copy(file);
				}
			}
		}

		for (var k = 0; k < jpegFiles.length; k++) {	
			jpegFile = jpegFiles[k];

			if (jpegFile.displayName == "001.jpg" || jpegFile.displayName == "002.jpg" || jpegFile.displayName == ZeroPad(pagesNum + 1, 3) + ".jpg"|| jpegFile.displayName == ZeroPad(pagesNum + 2, 3) + ".jpg") {
				var newJpegFile = new File(folderPath + "Cover_" + jpegFile.displayName);
				if (newJpegFile.exists) {
					removed = newJpegFile.remove();
				}
				renamed = jpegFile.rename("Cover_" + jpegFile.displayName);
			}
			else if (jpegFile.displayName.match(/^Cover_/) == null && jpegFile.name.match(/^\d{3}\.jpg$/) == null) {
				$.writeln("1-Removing: " + jpegFile.displayName);
				removed = jpegFile.remove();
			}
			else if (jpegFile.name.match(/\d{3}/) != null && (Number(jpegFile.name.match(/\d{3}/)) > (pagesNum + 2))) {
				$.writeln("2-Removing: " + jpegFile.displayName);
				removed = jpegFile.remove();
			}
		}

		for (var i = 0; i < thumbnails.length; i++) {
			th = thumbnails[i];
			name = th.name;
			
			if (name.match(/\d{3}/) != null) {
				num = Number(name.match(/\d{3}/)[0]);
				if (isNaN(num)) continue;
				//=============================================================================
				if (spuskNum == 2) {
					if (num >= 3 && num <= 10 || num >= 27 && num <= 34) {
						th.label = "Red"; // 1
					}
					else if (num >= 11 && num <= 26) {
						th.label = "Green"; // 2
					}	
					else {
						th.label = "Violet"; // Cover
					}
				}				
				else if (spuskNum == 3) {
					if (num >= 3 && num <= 10 || num >= 43 && num <= 50) {
						th.label = "Red"; // 1
					}
					else if (num >= 11 && num <= 18 || num >= 35 && num <= 42) {
						th.label = "Yellow"; // 2
					}
					else if (num >= 19 && num <= 34) {
						th.label = "Green"; // 3
					}	
					else {
						th.label = "Violet"; // Cover
					}
				}
				else if (spuskNum == 4) {
					if (num >= 3 && num <= 10 || num >= 59 && num <= 66) {
						th.label = "Red"; // 1
					}
					else if (num >= 11 && num <= 18 || num >= 51 && num <= 58) {
						th.label = "Yellow"; // 2
					}
					else if (num >= 19 && num <= 26 || num >= 43 && num <= 50) {
						th.label = "Green"; // 3
					}	
					else if (num >= 27 && num <= 42) {
						th.label = "Blue"; // 4
					}
					else {
						th.label = "Violet"; // Cover
					}
				}
				else if (spuskNum == 5) {
					if (num >= 3 && num <= 10 || num >= 75 && num <= 82) { // 1
						th.label = "Red";
					}
					else if (num >= 11 && num <= 18 || num >= 67 && num <= 74) { // 2
						th.label = "Yellow";
					}		
					else if (num >= 19 && num <= 26 || num >= 59 && num <= 66) { // 3
						th.label = "Green";
					}
					else if (num >= 27 && num <= 34 || num >= 51 && num <= 58) { // 4
						th.label = "Blue";
					}
					else if (num >= 35 && num <= 50) { // 5
						th.label = "Violet";
					}	
				}
				else if (spuskNum == 6) { // 6 спусков Бизнеса могут быть на клей и на скобу
					if (num >= 3 && num <= 18) {
						th.label = "Red"; // 1
					}
					else if (num >= 19 && num <= 34) {
						th.label = "Yellow"; // 2
					}		
					else if (num >= 35 && num <= 50) {
						th.label = "Green"; // 3
					}
					else if (num >= 51 && num <= 66) {
						th.label = "Blue"; // 4
					}	
					else if (num >= 67 && num <= 82) {
						th.label = "No Label"; // 5
					}
					else if (num >= 83 && num <= 98) {
						th.label = "Violet"; // 6
					}
				}
				else if (spuskNum == 7) {
					if (num >= 3 && num <= 18) {
						th.label = "Red"; // 1
					}
					else if (num >= 19 && num <= 34) {
						th.label = "Yellow"; // 2
					}		
					else if (num >= 35 && num <= 50) {
						th.label = "Green"; // 3
					}
					else if (num >= 51 && num <= 66) {
						th.label = "Blue"; // 4
					}	
					else if (num >= 67 && num <= 82) {
						th.label = "Violet"; // 5
					}
					else if (num >= 83 && num <= 98) {
						th.label = "Red"; // 6
					}
					else if (num >= 99 && num <= 114) {
						th.label = "Yellow"; // 7
					}
				}
				else if (spuskNum == 8) {
					if (num >= 3 && num <= 18) {
						th.label = "Red"; // 1
					}
					else if (num >= 19 && num <= 34) {
						th.label = "Yellow"; // 2
					}		
					else if (num >= 35 && num <= 50) {
						th.label = "Green"; // 3
					}
					else if (num >= 51 && num <= 66) {
						th.label = "Blue"; // 4
					}	
					else if (num >= 67 && num <= 82) {
						th.label = "Violet"; // 5
					}
					else if (num >= 83 && num <= 98) {
						th.label = "Red"; // 6
					}
					else if (num >= 99 && num <= 114) {
						th.label = "Yellow"; // 7
					}
					else if (num >= 115 && num <= 130) {
						th.label = "Green"; // 8
					}					
				}
				else if (spuskNum == 9) {
					if (num >= 3 && num <= 18) {
						th.label = "Red"; // 1
					}
					else if (num >= 19 && num <= 34) {
						th.label = "Yellow"; // 2
					}		
					else if (num >= 35 && num <= 50) {
						th.label = "Green"; // 3
					}
					else if (num >= 51 && num <= 66) {
						th.label = "Blue"; // 4
					}	
					else if (num >= 67 && num <= 82) {
						th.label = "Violet"; // 5
					}
					else if (num >= 83 && num <= 98) {
						th.label = "Red"; // 6
					}
					else if (num >= 99 && num <= 114) {
						th.label = "Yellow"; // 7
					}
					else if (num >= 115 && num <= 130) {
						th.label = "Green"; // 8
					}					
					else if (num >= 131 && num <= 146) {
						th.label = "Blue"; // 9
					}
				}
				else if (spuskNum == 10) {
					if (num >= 3 && num <= 18) {
						th.label = "Red"; // 1
					}
					else if (num >= 19 && num <= 34) {
						th.label = "Yellow"; // 2
					}		
					else if (num >= 35 && num <= 50) {
						th.label = "Green"; // 3
					}
					else if (num >= 51 && num <= 66) {
						th.label = "Blue"; // 4
					}	
					else if (num >= 67 && num <= 82) {
						th.label = "Violet"; // 5
					}
					else if (num >= 83 && num <= 98) {
						th.label = "Red"; // 6
					}
					else if (num >= 99 && num <= 114) {
						th.label = "Yellow"; // 7
					}
					else if (num >= 115 && num <= 130) {
						th.label = "Green"; // 8
					}					
					else if (num >= 131 && num <= 146) {
						th.label = "Blue"; // 9
					}
					else if (num >= 147 && num <= 162) {
						th.label = "Violet"; // 10
					}
				}
				else if (spuskNum == 11) {
					if (num >= 3 && num <= 18) {
						th.label = "Red"; // 1
					}
					else if (num >= 19 && num <= 34) {
						th.label = "Yellow"; // 2
					}		
					else if (num >= 35 && num <= 50) {
						th.label = "Green"; // 3
					}
					else if (num >= 51 && num <= 66) {
						th.label = "Blue"; // 4
					}	
					else if (num >= 67 && num <= 82) {
						th.label = "Violet"; // 5
					}
					else if (num >= 83 && num <= 98) {
						th.label = "Red"; // 6
					}
					else if (num >= 99 && num <= 114) {
						th.label = "Yellow"; // 7
					}
					else if (num >= 115 && num <= 130) {
						th.label = "Green"; // 8
					}					
					else if (num >= 131 && num <= 146) {
						th.label = "Blue"; // 9
					}
					else if (num >= 147 && num <= 162) {
						th.label = "Violet"; // 10
					}
					else if (num >= 163 && num <= 178) {
						th.label = "Red"; // 11
					}				
				}
				else if (spuskNum == 12) {
					if (num >= 3 && num <= 18) {
						th.label = "Red"; // 1
					}
					else if (num >= 19 && num <= 34) {
						th.label = "Yellow"; // 2
					}		
					else if (num >= 35 && num <= 50) {
						th.label = "Green"; // 3
					}
					else if (num >= 51 && num <= 66) {
						th.label = "Blue"; // 4
					}	
					else if (num >= 67 && num <= 82) {
						th.label = "Violet"; // 5
					}
					else if (num >= 83 && num <= 98) {
						th.label = "Red"; // 6
					}
					else if (num >= 99 && num <= 114) {
						th.label = "Yellow"; // 7
					}
					else if (num >= 115 && num <= 130) {
						th.label = "Green"; // 8
					}					
					else if (num >= 131 && num <= 146) {
						th.label = "Blue"; // 9
					}
					else if (num >= 147 && num <= 162) {
						th.label = "Violet"; // 10
					}
					else if (num >= 163 && num <= 178) {
						th.label = "Red"; // 11
					}	
					else if (num >= 169 && num <= 194) {
						th.label = "Green"; // 12
					}			
				}
				else if (spuskNum == 13) {
					if (num >= 3 && num <= 50) {
						th.label = "Red"; // 1
					}
					else if (num >= 51 && num <= 74) {
						th.label = "Yellow"; // 2
					}
					else if (num >= 75 && num <= 122) {
						th.label = "Green"; // 3
					}	
					else {
						th.label = "Violet"; // Cover
					}
				}
			//=============================================================================
			}
		} // End of for loop
	}
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------
function ReadTxtFile(file) {
	file.open("r"); 
	var txt = file.read();
	file.close();
	return txt;
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------
function ZeroPad(num, digit) {
	var tmp = num.toString();
	while (tmp.length < digit) {
		tmp = "0" + tmp;
	}
	return tmp;
}